//
// triangle2d.cc
//
// An array of three point2d.
//
// Copyright (C) J. Belson	1998.12.19
//

#include <cstdio>

#include "triangle2d.h"

/**
 * Constructor
 */
triangle2d::triangle2d(point2d *p1, point2d *p2, point2d *p3)
{
	point[0] = p1;
	point[1] = p2;
	point[2] = p3;
	visible = true;
}

/// Get vertices of this triangle
void triangle2d::get(point2d *p1, point2d *p2, point2d *p3)
{
	p1 = point[0];
	p2 = point[1];
	p3 = point[2];
}

/// Set vertices of this triangle
void triangle2d::set(point2d *p1, point2d *p2, point2d *p3)
{
	point[0] = p1;
	point[1] = p2;
	point[2] = p3;
	visible = true;
}

/// Write vertices to stdout
void triangle2d::dump(void)
{
	for (int i=0; i<3; i++) {
		std::printf("(%0.2f, %0.2f, %0.2f), ", point[i]->r, point[i]->g, point[i]->b);
	}
	puts("");
}

