//
// texture_rough.h
//
// Various texture functions
//
// Copyright (C) J. Belson	2003.09.27
//
// $Id: texture_rough.h,v 1.1 2003/10/11 18:11:00 jon Exp $
//


#ifndef _TEXTURE_ROUGH_H_
#define _TEXTURE_ROUGH_H_


#include "texture.h"


/**
 * Procedural rough ground texture.
 */
class texture_rough: public texture
{
private:
	perlin* noise;

public:
	texture_rough(const textset_noise& ts);
	virtual ~texture_rough();

	virtual fcolour colour(float s, float t, float u = 0, vector3d* normal = 0);
};


#endif	// _TEXTURE_ROUGH_H_
