//
// base_atmospherics_window.cc
//
// Prefs for light source
//
// Copyright (c) J. Belson	2000.12.05
//
// $Author: jon $	:	$Date: 2003/05/27 16:35:20 $
//

#include "base_atmospherics_window.h"
#include "settings.h"


/**
 * Constructor
 */
base_atmospherics_window::base_atmospherics_window()
{
	my_settings = settings::get_instance();
	
	load_settings();
}


/**
 * Read current preferences
 */
void base_atmospherics_window::load_settings(void)
{
	my_settings->get_float(HAZE_INTENSITY, &haze_intensity);
	my_settings->get_colour(HAZE_COLOUR, &haze_colour);
}

