//
// Prefs for debug options
//
// Copyright (c) J. Belson	2000.12.05
//
// $Author: jon $	:	$Date: 2003/05/29 21:44:58 $
//

#include "base_debug_window.h"
#include "settings.h"


/**
 * Constructor
 */
base_debug_window::base_debug_window()
{
	my_settings = settings::get_instance();

	load_settings();
}


/**
 * Read current preferences
 */
void base_debug_window::load_settings(void)
{
	my_settings->get_bool(DEBUG_SHOW_NORMALS, &normals);
	my_settings->get_bool(DEBUG_SHOW_ENV_MAPS, &maps);
	my_settings->get_bool(DEBUG_UNCONSTRAINED_CAMERA, &unconstrained_camera);
}
