//
// Prefs for debug options
//
// Copyright (c) J. Belson	2000.12.05
//
// $Author: jon $	:	$Date: 2003/05/29 21:44:58 $
//

#ifndef _BASE_DEBUG_WINDOW_H_
#define _BASE_DEBUG_WINDOW_H_

#include "base_window.h"

class settings;


/**
 * Base class for debug settings requester
 */
class base_debug_window : public base_window {

protected:
	settings* my_settings;

	bool	maps;
	bool	normals;
	bool	unconstrained_camera;

public:
	base_debug_window();

	virtual void load_settings(void);
};

#endif	// _BASE_DEBUG_WINDOW_H_
