//
// base_lighting_window.cc
//
// Prefs for light source
//
// Copyright (c) J. Belson	2000.12.11
//

#include "base_lighting_window.h"
#include "settings.h"


/**
 * Constructor
 */
base_lighting_window::base_lighting_window()
{
	my_settings = settings::get_instance();

	load_settings();
}


/**
 * Read current preferences
 */
void base_lighting_window::load_settings(void)
{
	my_settings->get_colour(AMBIENT_COLOUR, &ambient);
	my_settings->get_colour(DIRECT_COLOUR, &direct);
}
