//
// water_window.h
//
// Prefs for water
//
// Copyright (c) J. Belson	2000.06.18
//
// $Author: jon $	:	$Date: 2003/05/27 16:35:20 $
//


#ifndef _BASE_WATER_WINDOW_H_
#define _BASE_WATER_WINDOW_H_

#include "base_window.h"
#include "fcolour.h"


class settings;


/**
 * Base class for water settings requester
 */
class base_water_window : public base_window {

private:


protected:
	enum {
		MAX_VALUE	 = 100
	};

	fcolour	water_colour;
	float	water_level;
	float	wave_height;
	float	wave_scale;
	float	water_reflectivity;

	settings* my_settings;

public:
	base_water_window();

	virtual void load_settings(void);
};

#endif	// _BASE_WATER_WINDOW_H_
