//
// Trivial base class for settings windows
//
// Copyrgith (C) J. Belson	2003.05.27
//
// $Author: jon $	:	$Date: 2003/05/27 16:38:38 $
//

#ifndef _BASE_WINDOW_H_
#define _BASE_WINDOW_H_


/** 
 * Trivial base class for settings windows.  Allows us to
 *  manipulate all the settings windows via a base pointer.
 */
class base_window {

public:
	// Load the current settings
	virtual void load_settings(void) = 0;

	// Update the widgets to show the current settings
	virtual void update_widgets(void) = 0;

};

#endif	// _BASE_WINDOW_H_
