//
// atmospherics_window.h
//
// Prefs for light source
//
// Copyright (c) J. Belson	1999.06.30
//


#ifndef _ATMOSPHERICS_WINDOW_H_
#define _ATMOSPHERICS_WINDOW_H_

#include <GraphicsDefs.h>

#include "base_atmospherics_window.h"
#include "smart_window.h"
#include "MWindow.h"


class atmospherics_window : public smart_window, public base_atmospherics_window
{
	private:
		BWindow *parent;

		enum {
			MAX_VALUE	 = 100
		};

		static const rgb_color def;
		BView* square;

	public:
		atmospherics_window(BWindow *, BRect, char *, window_type, ulong);
		~atmospherics_window();

		virtual bool QuitRequested();
		virtual void MessageReceived(BMessage*);
};



#endif	// _ATMOSPHERICS_WINDOW_H_
