//
// colour_struct.h
//
// J. Belson	2000.06.08
//


#ifndef _COLOUR_STRUCT_H_
#define _COLOUR_STRUCT_H_

//
// Internal representation of a colour using three
//  floating point tristimulous values. For example,
//  RGB format is stored with a==R, b==G, c==B.
//
// All ranges are 0.0 - 1.0
//
struct col {
	float a;
	float b;
	float c;
};


#endif	// _COLOUR_STRUCT_H_
