//
// lighting_window.h
//
// Prefs for light source
//
// Copyright (c) J. Belson	1999.06.30
//


#ifndef _LIGHTING_WINDOW_H_
#define _LIGHTING_WINDOW_H_

#include <GraphicsDefs.h>

#include "base_lighting_window.h"
#include "smart_window.h"
#include "MWindow.h"
#include "sunview.h"


class lighting_window : public smart_window, public base_lighting_window
{
	private:
		BWindow *parent;

		static const rgb_color def;
		BView*		square_amb;
		sunview*	sv;
		above_view*	aview;
		side_view*	sview;

	public:
		lighting_window(BWindow *, BRect, char *, window_type, ulong);
		~lighting_window();

		virtual bool QuitRequested();
		virtual void MessageReceived(BMessage*);
};



#endif	// _LIGHTING_WINDOW_H_
