//
// palette_window.cc
//
// Prefs for cloud generation
//
// Copyright (c) J. Belson	1999.06.16
//

#include <Message.h>

#include "MStringView.h"

#include "messages.h"
#include "palette_window.h"


//
// Constructor/destructor
//
palette_window::palette_window(BWindow *window, BRect r, char *name, window_type t, ulong mode)
	: smart_window(r, name, t, mode),
	  parent(window)
{

	MStringView *str = new MStringView("Not implemented", B_ALIGN_CENTER, minimax(160, 120, 160, 120));
	AddChild(str);
}



palette_window::~palette_window()
{
	BMessage msg(MSG_PALETTE_CLOSED);
	parent->PostMessage(&msg);
}


//
// Deal with window close gadget
//
bool palette_window::QuitRequested()
{
	//if (win->Lock()) {
	//	win->Quit();
	//}

	return TRUE;
}


//
// Deal with incoming messages to window
//
void palette_window::MessageReceived(BMessage *message)
{
	switch (message->what) {


		default:
			MWindow::MessageReceived(message);
			break;

	}
}


