//
// save_image_panel.h
//
// Main control window
//
// Copyright (c) J. Belson	2000.03.09
//


#ifndef _SAVE_IMAGE_PANEL_H_
#define _SAVE_IMAGE_PANEL_H_

#include <Message.h>
#include <TranslationKit.h>
#include <FilePanel.h>
#include <app/Handler.h>


#define MSG_SAVE_FORMAT	'sfmt'


class image_menu_item : public BMenuItem {

private:

public:
	image_menu_item(const char* name, BMessage* msg, translator_id tid, uint32 fmt) :
		BMenuItem(name, msg)
	{
		id		= tid;
		format	= fmt;
	}

	translator_id	id;
	uint32			format;
};


class save_image_panel : public BFilePanel, public BHandler {

private:
	uint32 what;
	translator_id	id;
	uint32			format;
	BWindow*		configwindow;

	void MessageReceived(BMessage *msg);

public:
	save_image_panel::save_image_panel(BMessenger* target, BMessage* msg);

};

#endif	// _SAVE_IMAGE_PANEL_H_
