//
// texture_window.cc
//
// Prefs for procedural textures
//
// Copyright (c) J. Belson	2000.04.15
//

#include <Message.h>

#include "MStringView.h"

#include "messages.h"
#include "texture_window.h"


//
// Constructor/destructor
//
texture_window::texture_window(BWindow *window, BRect r, char *name, window_type t, ulong mode)
	: smart_window(r, name, t, mode),
	  parent(window)
{

	MStringView *str = new MStringView("Not implemented", B_ALIGN_CENTER, minimax(160, 120, 160, 120));
	AddChild(str);
}



texture_window::~texture_window()
{
	BMessage msg(MSG_TEXTURE_CLOSED);
	parent->PostMessage(&msg);
}


//
// Deal with window close gadget
//
bool texture_window::QuitRequested()
{
	//if (win->Lock()) {
	//	win->Quit();
	//}

	return TRUE;
}


//
// Deal with incoming messages to window
//
void texture_window::MessageReceived(BMessage *message)
{
	switch (message->what) {


		default:
			MWindow::MessageReceived(message);
			break;

	}
}


