//
// trees_window.cc
//
// Prefs for trees/foliage etc
//
// Copyright (c) J. Belson	1999.06.30
//

#include <Message.h>

#include "MStringView.h"

#include "messages.h"
#include "trees_window.h"


//
// Constructor/destructor
//
trees_window::trees_window(BWindow *window, BRect r, char *name, window_type t, ulong mode)
	: smart_window(r, name, t, mode),
	  parent(window)
{

	MStringView *str = new MStringView("Not implemented", B_ALIGN_CENTER, minimax(160, 120, 160, 120));
	AddChild(str);
}



trees_window::~trees_window()
{
	BMessage msg(MSG_TREES_CLOSED);
	parent->PostMessage(&msg);
}


//
// Deal with window close gadget
//
bool trees_window::QuitRequested()
{
	//if (win->Lock()) {
	//	win->Quit();
	//}

	return TRUE;
}


//
// Deal with incoming messages to window
//
void trees_window::MessageReceived(BMessage *message)
{
	switch (message->what) {


		default:
			MWindow::MessageReceived(message);
			break;

	}
}


