//
// water_window.h
//
// Prefs for water
//
// Copyright (c) J. Belson	2000.06.18
//


#ifndef _WATER_WINDOW_H_
#define _WATER_WINDOW_H_

#include <GraphicsDefs.h>

#include "base_water_window.h"
#include "smart_window.h"
#include "MWindow.h"


class water_window : public smart_window, public base_water_window
{
	private:
		BWindow *parent;

		static const rgb_color def;
		BView* square;

	public:
		water_window(BWindow *, BRect, char *, window_type, ulong);
		~water_window();

		virtual bool QuitRequested();
		virtual void MessageReceived(BMessage*);
};



#endif	// _WATER_WINDOW_H_
