
#ifndef _HF_HETERO_H_
#define _HF_HETERO_H_

#include "hf.h"
#include "perlin2.h"

class hf_hetero : public hf {

private:
	perlin2* noise;

	double  	result, frequency, signal, weight, H, lacunarity, offset;
	double octaves, gain;

public:
	hf_hetero();
	~hf_hetero();

	// Get height at arbitrary heightfield point...
	virtual float get_height(float x, float y);

	// Override basic seed_rand
	virtual void seed_rand(unsigned long int s);

};

#endif	// _HF_HETERO_H_
