TEMPLATE				= app
CONFIG					+= release qt warn_on opengl thread
LIBS					= -L/usr/lib -lkdeui -lkdecore -lkio -lGL -lGLU -lstdc++
#QMAKE_CC				= ccache cc
#QMAKE_CXX				= ccache c++
INCLUDEPATH =	fractal;main;main/unix;math;prefs;renderer;texture;util;windows;windows/unix;/usr/include/kde
#freebsd-g++:QMAKE_CXXFLAGS	= -O2
#linux-g++:QMAKE_CXXFLAGS	= -O2
freebsd-g++:QMAKE_CXXFLAGS_RELEASE	+= -O2
FORMS=			\
				windows/unix/widget_debug.ui							\
				windows/unix/widget_perlin.ui							\
				windows/unix/widget_perlin2.ui							\
				windows/unix/widget_multifractal.ui						\
				windows/unix/widget_ridged_perlin.ui					\
				windows/unix/widget_atmospherics.ui						\
				windows/unix/widget_clouds.ui							\
				windows/unix/widget_lighting.ui							\
				windows/unix/widget_main.ui								\
				windows/unix/widget_progress.ui							\
				windows/unix/widget_sky.ui								\
				windows/unix/widget_render.ui							\
				windows/unix/widget_preview.ui							\
				windows/unix/widget_texture.ui							\
				windows/unix/widget_water.ui
HEADERS	= 		\
				windows/base_main_window.h windows/unix/kmain_window.h	\
				windows/unix/main_window.h								\
				windows/unix/bm_window.h								\
				windows/unix/light_vector.h								\
				windows/base_render_window.h windows/unix/render_window.h \
				windows/unix/mouse_bm_view.h	\
				windows/unix/bm_view.h	\
				windows/unix/progress.h									\
				windows/unix/settings_window.h							\
				windows/base_preview_window.h windows/unix/preview_window.h \
				windows/base_lighting_window.h windows/unix/lighting_window.h \
				windows/base_cloud_window.h windows/unix/cloud_window.h	\
				windows/base_water_window.h windows/unix/water_window.h	\
				windows/base_atmospherics_window.h windows/unix/atmospherics_window.h	\
				windows/base_texture_window.h windows/unix/texture_window.h				\
				windows/base_sky_window.h windows/unix/sky_window.h						\
				windows/base_debug_window.h	windows/unix/debug_window.h					\
				main/unix/main.h 			\
				fractal/hf.h fractal/hf_perlin.h \
				fractal/perlin.h \
				fractal/hf_perlin2.h	fractal/hf_multifractal.h			\
				fractal/hf_skydome.h	fractal/hf_ridged_perlin.h			\
				fractal/perlin2.h fractal/hfield.h fractal/skylight.h	\
				fractal/noise.h											\
				renderer/renderer.h renderer/zbuffer.h					\
				renderer/scene.h renderer/env_map.h						\
				renderer/handler_base.h renderer/handler_land.h renderer/handler_sky.h			\
				util/fcolour.h util/frustrum.h							\
				util/interpolate.h util/light.h util/util.h util/colour.h \
				math/point3d.h math/vector2d.h math/vector3d.h			\
				math/triangle3d.h math/transform.h \
				math/point2d.h math/matrix.h	\
				texture/texture.h texture/procedural.h					\
				texture/texture_rough.h									\
				texture/texture_skylight.h								\
				texture/texture_cloud.h									\
				texture/texture_skydome.h									\
				prefs/settings.h										\
				windows/base_GLwindow.h windows/unix/GLwindow.h
SOURCES	=		\
				windows/base_main_window.cc windows/unix/kmain_window.cc	\
				windows/unix/main_window.cc \
				windows/unix/bm_window.cc		\
				windows/unix/light_vector.cc	\
				windows/base_render_window.cc windows/unix/render_window.cc \
				windows/unix/mouse_bm_view.cc	\
				windows/unix/bm_view.cc	\
				windows/unix/progress.cc	\
				windows/unix/settings_window.cc							\
				windows/base_preview_window.cc windows/unix/preview_window.cc \
				windows/base_lighting_window.cc windows/unix/lighting_window.cc \
				windows/base_cloud_window.cc windows/unix/cloud_window.cc	\
				windows/base_water_window.cc windows/unix/water_window.cc	\
				windows/base_atmospherics_window.cc windows/unix/atmospherics_window.cc	\
				windows/base_sky_window.cc windows/unix/sky_window.cc					\
				windows/base_debug_window.cc windows/unix/debug_window.cc				\
				main/unix/main.cc \
				fractal/hf.cc fractal/hf_perlin.cc \
				fractal/perlin.cc \
				fractal/hf_perlin2.cc fractal/hf_multifractal.cc			\
				fractal/hf_skydome.cc fractal/hf_ridged_perlin.cc			\
				fractal/perlin2.cc fractal/hfield.cc fractal/skylight.cc	\
				fractal/noise.cc											\
				renderer/renderer.cc renderer/zbuffer.cc					\
				renderer/scene.cc renderer/env_map.cc						\
				renderer/handler_base.cc renderer/handler_land.cc renderer/handler_sky.cc		\
				util/fcolour.cc util/frustrum.cc							\
				util/interpolate.cc util/light.cc util/util.cc util/colour.cc	\
				math/point3d.cc math/vector2d.cc math/vector3d.cc			\
				math/triangle3d.cc math/transform.cc \
				math/point2d.cc math/matrix.cc	\
				texture/texture.cc texture/procedural.cc	\
				texture/texture_rough.cc									\
				texture/texture_skylight.cc								\
				texture/texture_cloud.cc								\
				texture/texture_skydome.cc								\
				prefs/settings.cc \
				windows/base_GLwindow.cc windows/unix/GLwindow.cc
TARGET	= landscape
