//
// my_app.cc
//
// Be application
//
// Copyright (c) J. Belson	1998.12.12
//

#include <iostream.h>

#include <Alert.h>
#include <Screen.h>

#include "VGroup.h"
#include "HGroup.h"
#include "MButton.h"

#include "my_app.h"
#include "main_window.h"
#include "progress.h"

#include "GLwindow.h"


my_app::my_app(void) : MApplication("application/x-vnd.landscape")
{

//	lifeWin *win = new lifeWin;
//	win->Show();

}


void my_app::ReadyToRun(void)
{
	BRect frame_rect;
	frame_rect.Set(100, 100, 110, 110);

	main_window *win =
			new main_window(frame_rect,
							"Landscape v0.5.1",
							B_TITLED_WINDOW,
							B_NOT_RESIZABLE|B_NOT_ZOOMABLE /*|B_WILL_ACCEPT_FIRST_CLICK*/);

	// Check current colour depth
	BScreen scr(win);

	switch (scr.ColorSpace()) {
		case B_CMAP8:
		case B_GRAY8:
			{
			BAlert* alert = new BAlert("", "Your current workspace has only 256 colours.\n"
										   "Image quality will be seriously degraded.\n", "Okay");
			alert->Go();
			}
		default:
			;
	}

	win->Show();
	win->generate_map();
}


void my_app::MessageReceived(BMessage *message)
{
	switch(message->what)
	{
		// ....

		default:
			//cout << "received by application" << endl;
			//message->PrintToStream();
			//cout << "----------" << endl;
			MApplication::MessageReceived(message);
			break;
	}
}