
#include <cstdio>

#include <kapp.h>
#include <klocale.h>
#include <kaboutdata.h>
#include <kcmdlineargs.h>


#include "matrix.h"
#include "point3d.h"
#include "vector3d.h"

#include "unix/kmain_window.h"

#include "main.h"


KApplication* kApp;




int main(int argc, char *argv[])
{
	kApp = new KApplication(argc, argv, "landscape");

	//if (kApp->isRestored()) {
	//	std::puts("Restoring application");
	//	RESTORE(main_window);
	//} else {
		kmain_window* win = new kmain_window();

		win->setGeometry(100,100,200,100);
		kApp->setMainWidget(win);

		win->show();
		win->open_windows();
		win->generate_map();
	//}

	return kApp->exec();
}
