//
// Structure containing rendering information
//
// Copyright (C) J. Belson	2001.12.07
//
// $Author: jon $ : $Date: 2003/05/06 21:04:52 $
//


#ifndef _RENDER_INFO_H_
#define _RENDER_INFO_H_

#include "types.h"

class renderer;
class zbuffer;
class progress;

struct render_info {

	uint32*		fbuffer;
	int			bytes_per_row;
	renderer*	rend;
	zbuffer*	zb;
	progress*	prog;

};

#endif	// _RENDER_INFO_H_
