//
// texture_skydome.h
//
// Skydome texture.
//
// Copyright (C) J. Belson	2003.10.05
//
// $Id: texture_skydome.h,v 1.1 2003/10/11 18:11:00 jon Exp $
//


#ifndef _TEXTURE_SKYDOME_H_
#define _TEXTURE_SKYDOME_H_

#include "texture.h"



/**
 * Skydome texture.
 */
class texture_skydome : public texture
{
private:
	enum {
		SKYDOME_OFFSET	= 40,
		SKYDOME_SCALE	= 70
	};

public:
	texture_skydome(textset& ts);
	//virtual ~texture_skydome();

	virtual fcolour colour(float s, float t, float u = 0, vector3d* view_direction = 0);
};


#endif	// _TEXTURE_SKYDOME_H_
