//
// gradient.h
//
// Colour utility functions
//
// Copyright (c) J. Belson	2000.03.29
//


#ifndef _GRADIENT_INT_H_
#define _GRADIENT_INT_H_

#include "types.h"


class gradient_int {

	private:
		int32	col_r, col_g, col_b;
		int32	step_r, step_g, step_b;

	public:
		gradient_int() {};
		gradient_int(uchar r1, uchar g1, uchar b1, 
				 uchar r2, uchar g2, uchar b2, int step);

		void set(uchar r1, uchar g1, uchar b1,
			uchar r2, uchar g2, uchar b2, int step);
		void get_next(uchar &r, uchar &g, uchar &b);
};


#endif	// _GRADIENT_INT_H_
