//
// base_atmospherics_window.h
//
// Prefs for light source
//
// Copyright (c) J. Belson	2000.12.05
//
// $Author: jon $	:	$Date: 2003/05/27 16:35:20 $
//

#ifndef _BASE_ATMOSPHERICS_WINDOW_H_
#define _BASE_ATMOSPHERICS_WINDOW_H_

#include "base_window.h"
#include "fcolour.h"

class settings;

/**
 * Base class for atmospheric settings requester
 */
class base_atmospherics_window : public base_window {

private:


protected:
	enum {
		MAX_VALUE	 = 100
	};

	settings* my_settings;

	fcolour	haze_colour;
	float	haze_intensity;

public:
	base_atmospherics_window();

	virtual void load_settings(void);
};

#endif	// _BASE_ATMOSPHERICS_WINDOW_H_
