//
// base_lighting_window.h
//
// Prefs for light source
//
// Copyright (c) J. Belson	2000.12.11
//
// $Author: jon $	:	$Date: 2003/05/27 16:35:20 $
//

#ifndef _BASE_LIGHTING_WINDOW_H_
#define _BASE_LIGHTING_WINDOW_H_

#include "base_window.h"
#include "fcolour.h"

class settings;


/**
 * Base class for lighting settings
 */
class base_lighting_window : public base_window
{

private:

protected:
	enum {
		MAX_VALUE	 = 100
	};

	settings* my_settings;

	fcolour	ambient;
	fcolour	direct;

public:
	base_lighting_window();

	virtual void load_settings(void);
};

#endif	// _BASE_LIGHTING_WINDOW_H_
