//
// base_sky_window.cc
//
// Prefs for sky source
//
// Copyright (c) J. Belson	2001.08.07
//
// $Author: jon $	:	$Date: 2003/05/27 16:35:20 $
//

#include "base_sky_window.h"
#include "settings.h"


/**
 * Constructor
 */
base_sky_window::base_sky_window()
{
	my_settings = settings::get_instance();

	load_settings();
}


/**
 * Read current preferences
 */
void base_sky_window::load_settings(void)
{
	my_settings->get_colour(SKY_ZENITH_COLOUR, &zenith);
	my_settings->get_colour(SKY_HORIZON_COLOUR, &horizon);
}
