//
// base_sky_window.h
//
// Base class for sky
//
// Copyright (c) J. Belson	2001.08.07
//
// $Author: jon $	:	$Date: 2003/05/27 16:35:20 $
//


#ifndef _BASE_SKY_WINDOW_H_
#define _BASE_SKY_WINDOW_H_

#include "base_window.h"
#include "fcolour.h"

class settings;

/**
 * Base class for sky settings
 */
class base_sky_window : public base_window {

private:

protected:
	settings* my_settings;
	fcolour	zenith;
	fcolour	horizon;

public:
	base_sky_window();

	virtual void load_settings(void);
};

#endif	// _BASE_SKY_WINDOW_H_
