//
// water_window.cc
//
// Prefs for water
//
// Copyright (c) J. Belson	2000.06.18
//
// $Author: jon $	:	$Date: 2003/05/27 16:35:20 $
//

#include "base_water_window.h"
#include "settings.h"


/**
 * Constructor
 */
base_water_window::base_water_window()
{
	my_settings = settings::get_instance();

	load_settings();
}


/**
 * Read current preferences
 */
void base_water_window::load_settings(void)
{
	my_settings->get_colour(WATER_COLOUR, &water_colour);
	my_settings->get_float(WAVE_HEIGHT, &wave_height);
	my_settings->get_float(WAVE_SCALE, &wave_scale);
	my_settings->get_float(WATER_REFLECTIVITY, &water_reflectivity);
	my_settings->get_float(WATER_LEVEL, &water_level);
}
