//
// ConvertColourCMY.cc
//
// J. Belson	2000.06.09
//


#include "ConvertColourCMY.h"


ConvertColourCMY::ConvertColourCMY()
	: ConvertColour()
{
	letter[0] = 'C';
	letter[1] = 'M';
	letter[2] = 'Y';
}


col ConvertColourCMY::FromRGB(uint8 r, uint8 g, uint8 b)
{
	col colour;
	colour.a = 1.0 - r/255.0;
	colour.b = 1.0 - g/255.0;
	colour.c = 1.0 - b/255.0;

	return colour;
}



void ConvertColourCMY::ToRGB(col colour, uint8* r, uint8* g, uint8* b)
{
	*r = uint8 (255*(1.0 - colour.a));
	*g = uint8 (255*(1.0 - colour.b));
	*b = uint8 (255*(1.0 - colour.c));
}




