//
// ConvertColourRGB.cc
//
// J. Belson	2000.06.08
//

#include <cmath>

#include "ConvertColourRGB.h"


ConvertColourRGB::ConvertColourRGB()
	: ConvertColour()
{
	letter[0] = 'R';
	letter[1] = 'G';
	letter[2] = 'B';
}


col ConvertColourRGB::FromRGB(uint8 r, uint8 g, uint8 b)
{
	col colour;
	colour.a = r/255.0;
	colour.b = g/255.0;
	colour.c = b/255.0;

	return colour;
}



void ConvertColourRGB::ToRGB(col colour, uint8* r, uint8* g, uint8* b)
{
	*r = uint8 (255*colour.a);
	*g = uint8 (255*colour.b);
	*b = uint8 (255*colour.c);
}




