//
// cloud_window.h
//
// Prefs for cloud generation
//
// Copyright (c) J. Belson	1999.04.05
//


#ifndef _CLOUD_WINDOW_H_
#define _CLOUD_WINDOW_H_

#include <time.h>
#include "MWindow.h"
#include "MTextControl.h"

#include "bm_view.h"
#include "messages.h"
#include "hf.h"
#include "bm_window.h"

#include "base_cloud_window.h"


class cloud_window : public smart_window, public base_cloud_window
{
	private:
		BWindow*	parent;
//		cloud*		my_cloud;
//		view*		my_view;


		thread_id the_thread;

		virtual void render_thread(void);
		void rerender_thread(void);
		static long cloud_thread_func(void *obj);
		static long rerender_thread_func(void *obj);

	public:
		cloud_window(BWindow *, BRect, char *, window_type, ulong);
		~cloud_window();

		virtual bool QuitRequested();
		virtual void MessageReceived(BMessage*);
};



#endif	// _CLOUD_WINDOW_H_


