//
// progress.h
//
// Simple pop-up window that displays a
//  progress message
//
// Copyright (c) J. Belson	1999.05.31
//


#ifndef _PROGRESS_H_
#define _PROGRESS_H_

#include <StringView.h>
#include <StatusBar.h>
#include <Window.h>
#include "smart_window.h"


class progress : public smart_window /*BWindow*/ {

private:
	BStatusBar	*status;
	float percentage;

public:
	progress(const char *message);
//	~progress();

	float text_height;
	const char *message;

	enum {
		WINDOW_WIDTH	= 300,
		WINDOW_HEIGHT	= 20
	};

	void set_message(const char *message);
	void update_status(float p);
	void set_maximum(float m);

	void Quit(void);

};


#endif	// _PROGRESS_H_
