//
// smart_window.cc
//
// WIndow that loads/saves its current position
//
// Copyright (c) J. Belson	1999.06.06
//


#ifndef _SMART_WINDOW_H_
#define _SMART_WINDOW_H_

#include "MWindow.h"
#include <DirectGLWindow.h>

#include "Preferences.h"


class smart_window : public MWindow {

private:
	const char *window_title;

public:
	smart_window(BRect, const char *, window_type, ulong);

	virtual void Quit(void);
};



class smart_GLwindow : public BDirectGLWindow {

private:
	const char *window_title;

public:
	smart_GLwindow(BRect, const char *, window_type, ulong);

	virtual void Quit(void);
};

#endif	// _SMART_WINDOW_H_
