//
// atmospherics_window.h
//
// 
//
// Copyright (c) J. Belson	2000.10.17
//


#ifndef _ATMOSPHERICS_WINDOW_H_
#define _ATMOSPHERICS_WINDOW_H_

#include <kcolordialog.h>
#include <kcolorbtn.h>

#include <qvariant.h>
#include <qwidget.h>

#include "base_atmospherics_window.h"
#include "widget_atmospherics.h"



class QVBoxLayout; 
class QHBoxLayout; 
class QGridLayout; 
class QGroupBox;
class QLabel;
class QPushButton;
class QSlider;



class atmospherics_window : public widget_atmospherics, public base_atmospherics_window
{
    Q_OBJECT

private:

private slots:
	void slot_colour_changed(const QColor& new_colour);
	void slot_slider_changed(int val);


public:
    atmospherics_window( QWidget* parent = 0, const char* name = 0, WFlags fl = 0 );

	virtual void update_widgets(void);

	void closeEvent(QCloseEvent *);


signals:
	void window_closing(void);

};

#endif	// _ATMOSPHERICS_WINDOW_H_
