//
// bm_view.h
//
// 
//
// Copyright (c) J. Belson	2000.10.17
//


#ifndef _BM_VIEW_H_
#define _BM_VIEW_H_

#include <qimage.h>
#include <qwidget.h>


class bm_view : public QWidget {

	Q_OBJECT

private:
	// Relief rendered into here
	QImage* image;

	const int WIDTH;

protected:
	void paintEvent(QPaintEvent* e);

public:
	bm_view(QWidget* parent=0, const char* name = 0, int width=256, int height=256);
	~bm_view();

	// Return pointer to displayable image
	QImage* get_bitmap(void) {	return image; }

	int get_bytes_per_row(void);
	void* get_bitmap_data(void);
};

#endif	// _BM_VIEW_H_
