//
// Qt widget to control debug options
//
// Copyright (c) J. Belson	2000.12.05
//
// $Author: jon $	:	$Date: 2003/05/30 11:04:04 $
//


#include <qcheckbox.h>

#include "debug_window.h"


/**
 * Constructor
 */
debug_window::debug_window(QWidget* parent)
	: widget_debug(parent),
	  base_debug_window()
{
	update_widgets();
}


/**
 * Update the widgets to reflect the current state
 */
void debug_window::update_widgets(void)
{
	checkBoxMaps->setChecked(maps);
	checkBoxNormals->setChecked(normals);
	checkBoxUnconstrainedCamera->setChecked(unconstrained_camera);
}
