//
// sky_window.h
//
// Widget to control sky settings
//
// Copyright (c) J. Belson	2001.08.07
//
// $Author: jon $	:	$Date: 2003/05/27 16:35:20 $
//

#ifndef _SKY_WINDOW_H_
#define _SKY_WINDOW_H_

#include "base_sky_window.h"
#include "widget_sky.h"


/**
 * Qt specific settings widget for sky
 */
class sky_window : public widget_sky, public base_sky_window
{
	Q_OBJECT

private:

signals:
	void window_closing(void);

private slots:
	void slot_zenith_colour_changed(const QColor& new_colour);
	void slot_horizon_colour_changed(const QColor& new_colour);
	void slot_realistic(bool b);

public:
	sky_window(QWidget* parent = 0);

	virtual void update_widgets(void);

	void closeEvent(QCloseEvent *);

};

#endif	// _SKY_WINDOW_H_
